Data Fields

# arm_fir_instance_q31 Struct Reference

Instance structure for the Q31 FIR filter. More...

`#include <arm_math.h>`

## Data Fields
uint16_t | numTaps
q31_t * | pState
q31_t * | pCoeffs

## Detailed Description

Instance structure for the Q31 FIR filter.

Definition at line 996 of file arm_math.h.

## Field Documentation

uint16_t arm_fir_instance_q31::numTaps

number of filter coefficients in the filter.

Definition at line 998 of file arm_math.h.

q31_t* arm_fir_instance_q31::pState

points to the state variable array. The array is of length numTaps+blockSize-1.

Definition at line 999 of file arm_math.h.

q31_t* arm_fir_instance_q31::pCoeffs

points to the coefficient array. The array is of length numTaps.

Definition at line 1000 of file arm_math.h.

The documentation for this struct was generated from the following file:

- arm_math.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines